C *********************************************************************
      PROGRAM SAMPLE
C ---------------------------------------------------------------------
      IMPLICIT REAL*8(A-H,O-Z)
      PARAMETER (NX=200)
      DIMENSION XPDFA(-4:4)

      DATA XMIN,XMAX/ 1.D-3,1.D0/
      DATA Q2/1.D2/
      DATA ISET/9/  ! 9:Ca

      XLSTEP=(DLOG10(XMAX)-DLOG10(XMIN))/DFLOAT(NX)
      DO I=1,NX+1
        DLOGX=DFLOAT(I-1)*XLSTEP+DLOG10(XMIN)
        X=10.D0**(DLOGX)         ! log-scale steps

        Call NPDF04(ISET,Q2,X,XPDFA)   ! CAll NPDF04 library

C XPDFA(I) (0: gluon, 1:u=uv+usea, 2:d=dv+dsea, 3:strange, 4:charm)
        F2A=(4.D0*(XPDFA(1)+XPDFA(-1)+XPDFA(4)+XPDFA(-4))
     +           +(XPDFA(2)+XPDFA(-2)+XPDFA(3)+XPDFA(-3)))/9.D0

        write(12,1010) X,XPDFA(0),XPDFA(1),XPDFA(2)
     +                  ,XPDFA(3),XPDFA(4),F2A

      ENDDO

 1010 FORMAT(' ', 7(1PE14.6))

      STOP
      END
C *********************************************************************
C THE END OF THE PROGRAM.
C *********************************************************************
